commit:     765e2f99d8de7bcd70b407b58e565c236f0c6b39
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  1 17:34:29 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Oct  1 18:01:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=765e2f99

sys-process/iotop-c: add 1.24

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 sys-process/iotop-c/Manifest            |  1 +
 sys-process/iotop-c/iotop-c-1.24.ebuild | 43 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-process/iotop-c/Manifest b/sys-process/iotop-c/Manifest
index f7d8388fe7b4..abfc5bac5c2f 100644
--- a/sys-process/iotop-c/Manifest
+++ b/sys-process/iotop-c/Manifest
@@ -1 +1,2 @@
 DIST iotop-c-1.23.tar.gz 138772 BLAKE2B 
123995c5af48f2d257a4c4b2f342c3cb656d91105e13200baac63c3bd5bdd68a09cf4991363db4d49b211f0ad75285b3f34e66951aa80b2df55f6728c54629dc
 SHA512 
afdc59373e96f23efaf93a661ca31d101732b36e61631844864692599b0e5a1d2355fdda0ec994a8e9ed03bc7f6a37c4dd16336fb750084294d58bfcfc6e7f17
+DIST iotop-c-1.24.tar.gz 139533 BLAKE2B 
4946876d474750e76ada3f1faa6057b02482f90b917663918669e40ad403c12c90add931c958f868b1b5f4cf1f9c980109795f4322e0db34c84f24f7299b7065
 SHA512 
4ff78f689ad0734787bfa0bc909a261694b75175301b3f732c170bf8511bab60082a2b363198057ef04b258fe3f4d24e081521f1f4eee6708b595e6a5f80ef2c

diff --git a/sys-process/iotop-c/iotop-c-1.24.ebuild 
b/sys-process/iotop-c/iotop-c-1.24.ebuild
new file mode 100644
index 000000000000..9803d2a23784
--- /dev/null
+++ b/sys-process/iotop-c/iotop-c-1.24.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps linux-info toolchain-funcs
+
+DESCRIPTION="top utility for IO (C port)"
+HOMEPAGE="https://github.com/Tomas-M/iotop";
+SRC_URI="https://github.com/Tomas-M/iotop/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/iotop-${PV}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~x86"
+
+RDEPEND="
+       sys-libs/ncurses:=
+       !sys-process/iotop
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~TASK_IO_ACCOUNTING ~TASK_DELAY_ACCT ~TASKSTATS 
~VM_EVENT_COUNTERS"
+
+FILECAPS=(
+       cap_net_admin=eip usr/bin/iotop
+)
+
+src_prepare() {
+       sed -e 's/-D_FORTIFY_SOURCE=2//' -i Makefile || die
+       default
+}
+
+src_compile() {
+       emake V=1 CC="$(tc-getCC)" PKG_CONFIG="$(tc-getPKG_CONFIG)" NO_FLTO=1
+}
+
+src_install() {
+       dobin iotop
+       dodoc README.md
+       doman iotop.8
+}

Reply via email to